Bug 48487 - Maintainer update: editors/jed to 0.99.16
Summary: Maintainer update: editors/jed to 0.99.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-20 17:10 UTC by Benedikt Schmidt
Modified: 2003-02-23 06:38 UTC (History)
0 users

See Also:


Attachments
file.diff (2.38 KB, patch)
2003-02-20 17:10 UTC, Benedikt Schmidt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benedikt Schmidt 2003-02-20 17:10:23 UTC
	Updates editors/jed to version 0.99.16
Comment 1 Benedikt Schmidt 2003-02-21 19:13:46 UTC
There were some problems with the original patch, this one:
- adds COMMENT (pkg-comment should be removed)
- adds a patch for asynchronous compilation feature, problem seems to be
  related to kern/36784 (Can't fcntl(fd, F_SETFL, ...) on a pseudo-tty)
- looks fine to portlint

Regards,
  Benedikt

diff -urN jed.orig/Makefile jed/Makefile
--- jed.orig/Makefile	Thu Feb 20 20:53:21 2003
+++ jed/Makefile	Thu Feb 20 21:05:08 2003
@@ -6,22 +6,22 @@
 #
 
 PORTNAME=	jed
-PORTVERSION=	0.99.15
+PORTVERSION=	0.99.16
 CATEGORIES=	editors
 MASTER_SITES=	ftp://space.mit.edu/pub/davis/jed/v${PORTVERSION:R}/
-DISTNAME=	${PORTNAME}-B${PORTVERSION:R}-${PORTVERSION:E}
+DISTNAME=	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}
 
 MAINTAINER=	s_bschmi@ira.uka.de
+COMMENT=	A SLang-based text editor
 
 LIB_DEPENDS=	slang.1:${PORTSDIR}/devel/libslang
 
-
 .if !defined(WITHOUT_X11)
 USE_XLIB=	yes
-XJED=	xjed
+XJED=		xjed
 PLIST_SUB+=  	NOXJED=""
 .else
-PLIST_SUB+=		NOXJED="@comment "
+PLIST_SUB+=	NOXJED="@comment "
 .endif
 
 DIST_SUBDIR=	jed
diff -urN jed.orig/distinfo jed/distinfo
--- jed.orig/distinfo	Thu Feb 20 20:53:21 2003
+++ jed/distinfo	Thu Feb 20 20:52:23 2003
@@ -1 +1 @@
-MD5 (jed/jed-B0.99-15.tar.gz) = a54efdbb8b4584f32efb279255fd0c07
+MD5 (jed/jed-0.99-16.tar.gz) = e50e95d8d626445cb778fadee3a2a47d
diff -urN jed.orig/files/patch-aa jed/files/patch-aa
--- jed.orig/files/patch-aa	Thu Feb 20 20:53:21 2003
+++ jed/files/patch-aa	Thu Feb 20 21:07:20 2003
@@ -1,6 +1,6 @@
---- src/Makefile.in.orig	Tue Apr 10 01:54:31 2001
-+++ src/Makefile.in	Tue Apr 10 01:56:43 2001
-@@ -143,7 +143,7 @@
+--- src/Makefile.in.orig	Sun Oct 20 06:55:30 2002
++++ src/Makefile.in	Thu Feb 20 21:06:23 2003
+@@ -158,7 +158,7 @@
  rgrep: $(OBJDIR)/rgrep
  	@echo rgrep created in $(OBJDIR)
  $(OBJDIR)/rgrep: $(OBJDIR)/vfile.o $(OBJDIR)/rgrep.o
@@ -9,3 +9,11 @@
  #
  getmail: $(OBJDIR)/getmail
  	@echo getmail created in $(OBJDIR)
+@@ -186,7 +186,6 @@
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/lib
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/lib/colors
+ 	$(MKINSDIR) $(DEST_JED_ROOT)/lib/colors/Xjed
+-	$(MKINSDIR) $(DEST_JED_ROOT)/lib/tm
+ 
+ install: all install_directories
+ 	$(INSTALL) $(OBJDIR)/jed $(DEST_BIN_DIR)/
diff -urN jed.orig/files/patch-ab jed/files/patch-ab
--- jed.orig/files/patch-ab	Thu Jan  1 00:00:00 1970
+++ jed/files/patch-ab	Thu Feb 20 20:52:23 2003
@@ -0,0 +1,13 @@
+--- src/jprocess.c.orig	Thu Feb 20 20:19:47 2003
++++ src/jprocess.c	Thu Feb 20 20:24:36 2003
+@@ -58,7 +58,9 @@
+ 
+ #ifdef REALLY_HAVE_TERMIOS_H
+ # ifndef __os2__
+-#  define USE_PTY
++#  ifndef __FreeBSD__ 
++#   define USE_PTY
++#  endif
+ # endif
+ #endif
+ 
diff -urN jed.orig/pkg-plist jed/pkg-plist
--- jed.orig/pkg-plist	Thu Feb 20 20:53:21 2003
+++ jed/pkg-plist	Thu Feb 20 21:10:36 2003
@@ -21,7 +21,6 @@
 lib/jed/lib/colors/default1.sl
 lib/jed/lib/colors/white1.sl
 lib/jed/lib/colors/README
-lib/jed/lib/tm/linuxdoc.tm
 lib/jed/lib/abbrev.sl
 lib/jed/lib/abbrmisc.sl
 lib/jed/lib/acompile.sl
@@ -99,8 +98,6 @@
 lib/jed/lib/mini.sl
 lib/jed/lib/minued.sl
 lib/jed/lib/misc.sl
-lib/jed/lib/mkdoc.sl
-lib/jed/lib/mktex.sl
 lib/jed/lib/modehook.sl
 lib/jed/lib/modeinfo.sl
 lib/jed/lib/most.sl
@@ -126,6 +123,8 @@
 lib/jed/lib/replace.sl
 lib/jed/lib/rmail.sl
 lib/jed/lib/rot13.sl
+lib/jed/lib/runpgm.sl
+lib/jed/lib/sccs.sl
 lib/jed/lib/search.sl
 lib/jed/lib/seldisp.sl
 lib/jed/lib/sendmail.sl
@@ -142,11 +141,10 @@
 lib/jed/lib/tclmode.sl
 lib/jed/lib/tex.sl
 lib/jed/lib/texcom.sl
-lib/jed/lib/textmac.sl
 lib/jed/lib/textmode.sl
 lib/jed/lib/tiasm.sl
-lib/jed/lib/tm2sgml.sl
 lib/jed/lib/tmisc.sl
+lib/jed/lib/tmmode.sl
 lib/jed/lib/tpascal.sl
 lib/jed/lib/untab.sl
 lib/jed/lib/util.sl
@@ -198,9 +196,9 @@
 %%PORTDOCS%%share/doc/jed/wjed.txt
 %%PORTDOCS%%share/doc/jed/wordstar.txt
 %%PORTDOCS%%share/doc/jed/xjed.txt
+%%PORTDOCS%%share/doc/jed/xrenderfont.txt
 %%PORTDOCS%%share/doc/jed/yankpop.txt
 @dirrm lib/jed/bin
-@dirrm lib/jed/lib/tm
 @dirrm lib/jed/lib/colors/Xjed
 @dirrm lib/jed/lib/colors
 @dirrm lib/jed/lib
Comment 2 Edwin Groothuis freebsd_committer 2003-02-23 06:37:26 UTC
State Changed
From-To: open->closed

Commited, thanks! 
(some minor changes in the post-install target, please review. 
The problem was that ${PREFIX}/lib/jed/lib was all 444)